curl https://api.goshippo.com/refunds/ \
-H "Authorization: ShippoToken <API_TOKEN>" \
-d transaction="4503427478ea45a899e9b54abc4c5803"{
"object_created": "2023-11-07T05:31:56Z",
"object_id": "adcfdddf8ec64b84ad22772bce3ea37a",
"object_owner": "shippotle@shippo.com",
"object_updated": "2023-11-07T05:31:56Z",
"status": "SUCCESS",
"test": true,
"transaction": "915d94940ea54c3a80cbfa328722f5a1"
}Creates a new refund object.
curl https://api.goshippo.com/refunds/ \
-H "Authorization: ShippoToken <API_TOKEN>" \
-d transaction="4503427478ea45a899e9b54abc4c5803"{
"object_created": "2023-11-07T05:31:56Z",
"object_id": "adcfdddf8ec64b84ad22772bce3ea37a",
"object_owner": "shippotle@shippo.com",
"object_updated": "2023-11-07T05:31:56Z",
"status": "SUCCESS",
"test": true,
"transaction": "915d94940ea54c3a80cbfa328722f5a1"
}API key authentication using the ShippoToken scheme. Format: Authorization: ShippoToken <API_TOKEN> Example: Authorization: ShippoToken shippo_live_abc123
Optional string used to pick a non-default API version to use. See our API version guide.
"2018-02-08"
Refund details
Refund
Date and time of object creation.
Unique identifier of the given object.
"adcfdddf8ec64b84ad22772bce3ea37a"
Username of the user who created the object.
"shippotle@shippo.com"
Date and time of last object update.
Indicates the status of the Refund.
QUEUED, PENDING, SUCCESS, ERROR "SUCCESS"
Indicates whether the object has been created in test mode.
Object ID of the Transaction to be refunded.
"915d94940ea54c3a80cbfa328722f5a1"
Was this page helpful?